Subject: error Selecting by Date

From: "Christopher F. Martin" <[email-masked]>
Date: Wed, 28 Feb 2001 17:21:12 -0500 (EST)

Using PC-Pine 4.20, I have encountered a strange error using the aggregate
Select (;) command to select messages by Date. When I enter a date
criterion between the first (01) and ninth (09) of day the month, I get
the following error:

  IMAP Protocol error: Invalid date in Search command

but when I enter dates from the 10th through the end of the month, no
error occurrs.

Specifically, say I enter these keystrokes (without spaces) to select
messages SINCE 02/15/2001:

; D 15-Feb-2001

I get the result expected. But when I enter

; D 02-Feb-2001

I get the above error. For any dates betwen 01 and 09, any month, any
year, I get an error; messages within the date range exist in the folder.
Same error pattern whether selecting SINCE or BEFORE the date.

Moreover, this does not occur in every folder. Two folders in which the
error does occur: 

  folder with 82 msgs between 10/20/2000 and 02/28/2001
  folder with 104 msgs between 02/01/2001 and 02/28/2001

But another folder in which is does NOT occur:

  folder with 597 msgs between 01/14/1999 and 02/28/2001

Is this a bug?

Chris Martin

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Christopher F. Martin
School of Medicine
Center for Gastrointestinal Biology and Disease
University of North Carolina at Chapel Hill
Phone: 919.966.9340	  Fax: 919.966.7592
email: [email-masked]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------